<template>
    <div>
        <svg viewBox="0 0 36 36" id="tanuki-logo" :style="logoStyle" :class="loading ? 'is-active' : 'inactive'">
            <path id="tanuki-right-ear" class="tanuki-shape" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"></path>
            <path id="tanuki-left-ear" class="tanuki-shape" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"></path>
            <path id="tanuki-nose" class="tanuki-shape" fill="#e24329" d="M18,34.38 3,14 33,14 Z"></path>
            <path id="tanuki-right-eye" class="tanuki-shape" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"></path>
            <path id="tanuki-left-eye" class="tanuki-shape" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"></path>
            <path id="tanuki-right-cheek" class="tanuki-shape" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"></path>
            <path id="tanuki-left-cheek" class="tanuki-shape" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"></path>
        </svg>

    </div>
</template>

<style lang="scss">
    @keyframes is-active {
        0% {
            fill: auto;
        }
        5% {
            fill: #292961;
        }
        100% {
            fill: auto;
        }
    }

    #tanuki-logo {
        max-width: 600px;
        margin: 0 auto;
    }

    .is-active {
        #tanuki-right-cheek {
            animation: is-active 1s infinite;
            animation-delay: 0;
        }
        #tanuki-right-eye {
            animation: is-active 1s infinite;
            animation-delay: .1s;
        }
        #tanuki-right-ear {
            animation: is-active 1s infinite;
            animation-delay: .1s;
        }
        #tanuki-nose {
            animation: is-active 1s infinite;
            animation-delay: .2s;
        }
        #tanuki-left-eye {
            animation: is-active 1s infinite;
            animation-delay: .3s;
        }
        #tanuki-left-ear {
            animation: is-active 1s infinite;
            animation-delay: .3s;
        }
        #tanuki-left-cheek {
            animation: is-active 1s infinite;
            animation-delay: .4s;
        }
    }

    body {
        background: #333333;
        display: flex;
        justify-content: center;
        align-items: center;
        flex: 1;
        min-height: 100vh;
    }
</style>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'

@Component
export default class App extends Vue {
  @Prop({ default: false })
  loading!: boolean

  @Prop({ default: 40 })
  size!: number

  get logoStyle (): any {
    return { width: `${this.size}px` }
  }
}
</script>
